Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1366836 - Review Request: webjars-locator-core - WebJar Locator Core functionality
Summary: Review Request: webjars-locator-core - WebJar Locator Core functionality
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dennis Chen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1353904 1353905 1366837
TreeView+ depends on / blocked
 
Reported: 2016-08-13 10:07 UTC by gil cattaneo
Modified: 2016-08-27 10:14 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-27 10:14:12 UTC
barracks510: fedora-review+


Attachments (Terms of Use)

Description gil cattaneo 2016-08-13 10:07:57 UTC
Spec URL: https://gil.fedorapeople.org/webjars-locator-core.spec
SRPM URL: https://gil.fedorapeople.org/webjars-locator-core-0.31-1.fc24.src.rpm
Description:
WebJars are client-side web libraries (e.g. jQuery & Bootstrap)
packaged into JAR (Java Archive) files. This project provides a
means to locate assets within WebJars.
Fedora Account System Username: gil

Spring Framework 4.x (indirect) dependency

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=15241906

Comment 1 Dennis Chen 2016-08-20 17:35:09 UTC
I'll take this for review.

Comment 2 Dennis Chen 2016-08-22 21:05:21 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Bundled jar/class files should be removed before build
  Note: Jar files in source (see attachment)
  See: http://fedoraproject.org/wiki/Packaging:Java#Pre-
  built_JAR_files_.2F_Other_bundled_software'


===== MUST items =====

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 16 files have unknown license. Detailed
     output of licensecheck in /home/dchen15/1366836-webjars-locator-
     core/licensecheck.txt
[ ]: License file installed when any subpackage combination is installed.
[ ]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/licenses, /usr/share/maven-metadata
[ ]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/licenses,
     /usr/share/maven-metadata
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package consistently uses macros (instead of hard-coded directory
     names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Package is not known to require an ExcludeArch tag.
[ ]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It
     is pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[ ]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use .mfiles file list instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in webjars-
     locator-core-javadoc
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[ ]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: webjars-locator-core-0.31-1.fc25.noarch.rpm
          webjars-locator-core-javadoc-0.31-1.fc25.noarch.rpm
          webjars-locator-core-0.31-1.fc25.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
webjars-locator-core-javadoc (rpmlib, GLIBC filtered):
    javapackages-tools

webjars-locator-core (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools
    mvn(com.fasterxml.jackson.core:jackson-core)
    mvn(org.apache.commons:commons-compress)
    mvn(org.apache.commons:commons-lang3)
    mvn(org.slf4j:slf4j-api)



Provides
--------
webjars-locator-core-javadoc:
    webjars-locator-core-javadoc

webjars-locator-core:
    mvn(org.webjars:webjars-locator-core)
    mvn(org.webjars:webjars-locator-core:pom:)
    webjars-locator-core



Source checksums
----------------
https://github.com/webjars/webjars-locator-core/archive/webjars-locator-core-0.31.tar.gz :
  CHECKSUM(SHA256) this package     : a809fdc3f97a487e3aa163a96635395c96b5359cba7a32fbd3fb058654d64000
  CHECKSUM(SHA256) upstream package : a809fdc3f97a487e3aa163a96635395c96b5359cba7a32fbd3fb058654d64000


Jar and class files in source
-----------------------------
./webjars-locator-core-webjars-locator-core-0.31/src/test/resources/jquery-2.1.1.jar
./webjars-locator-core-webjars-locator-core-0.31/src/test/resources/mailcheck-1.1.0.jar
./webjars-locator-core-webjars-locator-core-0.31/src/test/resources/no-permissions.jar
./webjars-locator-core-webjars-locator-core-0.31/src/test/resources/permissions-jar.jar


Generated by fedora-review 0.5.3 (bcf15e3) last change: 2015-05-04
Command line :/usr/bin/fedora-review -b 1366836 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 Dennis Chen 2016-08-22 21:09:57 UTC
Issues:
=======
- Bundled jar/class files should be removed before build
  Note: Jar files in source (see attachment)
  See: http://fedoraproject.org/wiki/Packaging:Java#Pre-
  built_JAR_files_.2F_Other_bundled_software'

Section from link: "In particular *.class and *.jar files from upstream releases MUST NOT be used during build of Fedora packages and they MUST NOT be included in binary RPM. "

My understanding of the Packaging Guidelines says that a `find . -name "*.jar" -delete` before the build stage should be enough.

Comment 4 gil cattaneo 2016-08-22 21:23:31 UTC
(In reply to Dennis Chen from comment #3)
> Issues:
> =======
> - Bundled jar/class files should be removed before build
>   Note: Jar files in source (see attachment)
>   See: http://fedoraproject.org/wiki/Packaging:Java#Pre-
>   built_JAR_files_.2F_Other_bundled_software'
> 
> Section from link: "In particular *.class and *.jar files from upstream
> releases MUST NOT be used during build of Fedora packages and they MUST NOT
> be included in binary RPM. "
> 
> My understanding of the Packaging Guidelines says that a `find . -name
> "*.jar" -delete` before the build stage should be enough.

These are not bundled software.

./src/test/resources/jquery-2.1.1.jar
./src/test/resources/mailcheck-1.1.0.jar
./src/test/resources/permissions-jar.jar
./src/test/resources/no-permissions.jar

These are test resource in its preferable form for
editing, so it qualifies as source code IMHO.

Spec URL: https://gil.fedorapeople.org/webjars-locator-core.spec
SRPM URL: https://gil.fedorapeople.org/webjars-locator-core-0.31-2.fc24.src.rpm

- remove unused test resources

Comment 5 Dennis Chen 2016-08-22 22:21:11 UTC
Ok. Approved.

Comment 6 gil cattaneo 2016-08-22 23:08:34 UTC
(In reply to Dennis Chen from comment #5)
> Ok. Approved.

Thanks for the review!
Please, set the "Status" field as ASSIGNED

Comment 8 Gwyn Ciesla 2016-08-23 13:33:11 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/webjars-locator-core

Comment 9 Fedora Update System 2016-08-23 15:13:17 UTC
webjars-locator-core-0.31-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-da4be3266a

Comment 10 Fedora Update System 2016-08-23 23:20:39 UTC
webjars-locator-core-0.31-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-da4be3266a

Comment 11 Fedora Update System 2016-08-27 10:14:10 UTC
webjars-locator-core-0.31-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.